package main

import (
	"marisa.chaotic.ninja/yukari/contenttype"
)

var ALLOWED_CONTENTTYPE_FILTER contenttype.Filter = contenttype.NewFilterOr([]contenttype.Filter{
        // html
        contenttype.NewFilterEquals("text", "html", ""),
        contenttype.NewFilterEquals("application", "xhtml", "xml"),
        // css
        contenttype.NewFilterEquals("text", "css", ""),
        // images
	contenttype.NewFilterEquals("image", "gif", ""),
        contenttype.NewFilterEquals("image", "png", ""),
        contenttype.NewFilterEquals("image", "jpeg", ""),
        contenttype.NewFilterEquals("image", "pjpeg", ""),
        contenttype.NewFilterEquals("image", "webp", ""),
        contenttype.NewFilterEquals("image", "tiff", ""),
        contenttype.NewFilterEquals("image", "vnd.microsoft.icon", ""),
        contenttype.NewFilterEquals("image", "bmp", ""),
        contenttype.NewFilterEquals("image", "x-ms-bmp", ""),
        contenttype.NewFilterEquals("image", "x-icon", ""),
        contenttype.NewFilterEquals("image", "svg", "xml"),
        // fonts
        contenttype.NewFilterEquals("application", "font-otf", ""),
        contenttype.NewFilterEquals("application", "font-ttf", ""),
        contenttype.NewFilterEquals("application", "font-woff", ""),
        contenttype.NewFilterEquals("application", "vnd.ms-fontobject", ""),
})

var ALLOWED_CONTENTTYPE_ATTACHMENT_FILTER contenttype.Filter = contenttype.NewFilterOr([]contenttype.Filter{
        // texts
        contenttype.NewFilterEquals("text", "csv", ""),
        contenttype.NewFilterEquals("text", "tab-separated-values", ""),
        contenttype.NewFilterEquals("text", "plain", ""),
        // API
        contenttype.NewFilterEquals("application", "json", ""),
        // Documents
        contenttype.NewFilterEquals("application", "x-latex", ""),
        contenttype.NewFilterEquals("application", "pdf", ""),
        contenttype.NewFilterEquals("application", "vnd.oasis.opendocument.text", ""),
        contenttype.NewFilterEquals("application", "vnd.oasis.opendocument.spreadsheet", ""),
        contenttype.NewFilterEquals("application", "vnd.oasis.opendocument.presentation", ""),
        contenttype.NewFilterEquals("application", "vnd.oasis.opendocument.graphics", ""),
        // Compressed archives
        contenttype.NewFilterEquals("application", "zip", ""),
        contenttype.NewFilterEquals("application", "gzip", ""),
        contenttype.NewFilterEquals("application", "x-compressed", ""),
        contenttype.NewFilterEquals("application", "x-gtar", ""),
        contenttype.NewFilterEquals("application", "x-compress", ""),
        // Generic binary
        contenttype.NewFilterEquals("application", "octet-stream", ""),
})

var ALLOWED_CONTENTTYPE_PARAMETERS map[string]bool = map[string]bool{
        "charset": true,
}
